Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Something is wrong with the travis-ci build #217

Closed
choyj opened this issue Jul 13, 2018 · 6 comments

Comments

@choyj
Copy link
Contributor

@choyj choyj commented Jul 13, 2018

Refer to PR #216

@msiemens

This comment has been minimized.

Copy link
Owner

@msiemens msiemens commented Jul 13, 2018

Not sure whether something's actually up with Travis or Tox, or Python 3.3 is just getting old…

@msiemens

This comment has been minimized.

Copy link
Owner

@msiemens msiemens commented Jul 13, 2018

For reference: the failure is:

pypy3-check create: /home/travis/build/msiemens/tinydb/.tox/pypy3-check
ERROR: invocation failed (exit code 1), logfile: /home/travis/build/msiemens/tinydb/.tox/pypy3-check/log/pypy3-check-0.log
ERROR: actionid: pypy3-check
msg: getenv
cmdargs: ['/home/travis/virtualenv/pypy3.3-5.5-alpha/bin/python', '-m', 'virtualenv', '--python', '/home/travis/virtualenv/pypy3.3-5.5-alpha/bin/python', 'pypy3-check']

[proceeding normally]

Installing setuptools, pip, wheel...
  Complete output from command /home/travis/build/m...py3-check/bin/python - setuptools pip wheel:
  DEPRECATION: Python 3.3 supported has been deprecated and support for it will be dropped in the future. Please upgrade your Python.
Looking in links: /home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages, /home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv_support, /home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv_support
Collecting setuptools
  Downloading https://files.pythonhosted.org/packages/7f/e1/820d941153923aac1d49d7fc37e17b6e73bfbd2904959fffbad77900cf92/setuptools-39.2.0-py2.py3-none-any.whl (567kB)
Collecting pip
Collecting wheel
wheel requires Python '>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*' but the running Python is 3.3.5
----------------------------------------
...Installing setuptools, pip, wheel...done.
Traceback (most recent call last):
  File "/opt/python/pypy3.3-5.5-alpha/lib-python/3/runpy.py", line 160, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/opt/python/pypy3.3-5.5-alpha/lib-python/3/runpy.py", line 73, in _run_code
    exec(code, run_globals)
  File "/home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv.py", line 2343, in <module>
    main()
  File "/home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv.py", line 712, in main
    symlink=options.symlink)
  File "/home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv.py", line 947, in create_environment
    download=download,
  File "/home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv.py", line 904, in install_wheel
    call_subprocess(cmd, show_stdout=False, extra_env=env, stdin=SCRIPT)
  File "/home/travis/virtualenv/pypy3.3-5.5-alpha/site-packages/virtualenv.py", line 796, in call_subprocess
    % (cmd_desc, proc.returncode))
OSError: Command /home/travis/build/m...py3-check/bin/python - setuptools pip wheel failed with error code 1
ERROR: Error creating virtualenv. Note that some special characters (e.g. ':' and unicode symbols) in paths are not supported by virtualenv. Error details: InvocationError('/home/travis/virtualenv/pypy3.3-5.5-alpha/bin/python -m virtualenv --python /home/travis/virtualenv/pypy3.3-5.5-alpha/bin/python pypy3-check (see /home/travis/build/msiemens/tinydb/.tox/pypy3-check/log/pypy3-check-0.log)', 1)

on both pypy3.3-5.5-alpha and Python 3.3

msiemens added a commit that referenced this issue Jul 21, 2018
See #217
@msiemens

This comment has been minimized.

Copy link
Owner

@msiemens msiemens commented Aug 3, 2018

Python 3.3 has reached End Of Life as of September 29, 2017 (see here). I think it's relatively safe to drop official support for Python 3.3. It will probably continue to work, but we won't test for it anymore.

@eugene-eeo What do you think on this?

@eugene-eeo

This comment has been minimized.

Copy link
Contributor

@eugene-eeo eugene-eeo commented Aug 4, 2018

Yeah, we should drop support for it. 👍

@mertyildiran

This comment has been minimized.

Copy link

@mertyildiran mertyildiran commented Aug 5, 2018

@msiemens I'm getting ModuleNotFoundError: No module named 'tinydb' in Travis CI, even though I'm installing in my Bash install script. Do you have any idea why I'm getting this error?

@mertyildiran

This comment has been minimized.

Copy link

@mertyildiran mertyildiran commented Aug 6, 2018

@msiemens OK, I solved it by enabling system_site_packages in Travis CI:

virtualenv:
  system_site_packages: true
@msiemens msiemens closed this in 719d23f Aug 9, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.